# App
server.port=19945
spring.webmvc.cors.allowed-origins=*
dir.uploads.xml=/var/www/html/xmlverification/files/uploads/xml
dir.uploads.br =/var/www/html/xmlverification/files/uploads/br
dir.file.pdf =/var/www/html/xmlverification/files/pdf
# registration.link=http://159.138.1.117:7000/auth/validate-access?token=
# reset.link=http://159.138.1.117:7000/auth/validate-access?token=
spring.mvc.throw-exception-if-no-handler-found=true
spring.web.resources.add-mappings=false
registration.link=http://103.1.12.221:7000/auth/validate-access?token=
reset.link=http://103.1.12.221:7000/auth/validate-access?token=

# dir.uploads.xml=D:\\mufg-xmlverification\\verification\\files\\uploads\\xml
# dir.uploads.br =D:\\mufg-xmlverification\\verification\\files\\uploads\\br
# dir.file.pdf =D:\\mufg-xmlverification\\verification\\files\\pdf\\

# MySQL configuration - Dev
# spring.datasource.url=jdbc:mysql://localhost:3306/bsp_sandbox
# spring.datasource.username=root
# spring.datasource.password=mariadb
# spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
# spring.jpa.database-platform=org.hibernate.dialect.MySQL8Dialect
# spring.jpa.hibernate.ddl-auto=update
# spring.jpa.show-sql=true

#MySQL configuration - Test server
# spring.datasource.url=jdbc:mysql://159.138.1.117:3306/bsp_sandbox
# spring.datasource.username=adminnew
# spring.datasource.password=@4#1$dito
# spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
# spring.jpa.database-platform=org.hibernate.dialect.MySQL8Dialect
# spring.jpa.properties.hibernate.dialect= org.hibernate.dialect.MySQLDialect
# spring.jpa.hibernate.ddl-auto=update
# spring.jpa.show-sql=true

# MySQL configuration - New Test server
spring.datasource.url=jdbc:mysql://103.1.12.221:15868/bsp_sandbox
spring.datasource.username=adminnew
spring.datasource.password=@4#1$dito
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
spring.jpa.database-platform=org.hibernate.dialect.MySQL8Dialect
spring.jpa.properties.hibernate.dialect= org.hibernate.dialect.MySQLDialect
spring.jpa.hibernate.ddl-auto=update
spring.jpa.show-sql=true

#mail
spring.mail.host=smtp.gmail.com
spring.mail.port=587
spring.mail.username=bsp.service001@gmail.com
spring.mail.password=trrrrjrtaujtpqot

# TLS configuration
spring.mail.properties.mail.smtp.starttls.enable=true
spring.mail.properties.mail.smtp.starttls.required=true

# Authentication
spring.mail.properties.mail.smtp.auth=true

# Logging configuration
logging.level.org.springframework=INFO
logging.level.com.mock.bsp.verification=TRACE

#JWT
jwt.secret=MJyamkIs946j8i